<?php

namespace App\Controller\api\v1;

use App\Controller\AbstractController;
use App\FormModel\api\v1\UserModel;
use App\Request\Test;
use Hyperf\HttpServer\Annotation\Controller;
use Hyperf\HttpServer\Annotation\RequestMapping;

#[Controller]
class UserController extends AbstractController
{

    #[RequestMapping(path: '/api/v1/user/register', methods: 'post')]
    public function register(Test $validator)
    {
        $validator = $validator->validated();
        $model = new UserModel();
        $model->register();
        return [];
    }

    public function login()
    {

    }

    public function logout()
    {

    }
}